Subject: bug#11346: closed (Re: bug#11346: automake-1.12 - one test fails (due to truncated timestamp))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Apr 2012 10:42:03 +0000

Your bug report

#11346: automake-1.12 - one test fails (due to truncated timestamp)

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11346: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11346
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11346: automake-1.12 - one test fails (due to truncated timestamp)
From: Stefano Lattarini <[email-masked]>
To: Peter Breitenlohner <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Apr 2012 12:40:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/26/2012 11:38 AM, Stefano Lattarini wrote:
>  Will push shortly then.
Pushed now.  I'm thus closing this bug report.

Thanks,
  Stefano

Subject: automake-1.12 - one test fails (due to truncated timestamp)
From: Peter Breitenlohner <[email-masked]>
To: [email-masked]
Date: Thu, 26 Apr 2012 10:26:10 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I just fetched automake-1.12, built it on our no-distro x86-linux-gnu
system

   uname -r: 2.6.28.6-x86_64 (most binaries are 32-bit)
   /lib/libc-2.3.6.so
   /lib64/libc-2.3.6.so

and got one test suite failure.

   FAIL: t/self-check-is_newest.tap 19 - is_newest u x

It seems that 'touch -r x u' (on jfs) has truncated the timestamp, but I
have also seen timestamps rounded upwards to the next second (I think).

Therefore I would suggest to replace
   touch -r x u
in self-check-is_newest.tap by
   touch -r x x; touch -r x u
such that x's time first gets rounded (up or down) to the next second and
then transferred to u.

Regards
Peter Breitenlohner <[email-masked]>